E-MailRelay

Public Member Functions | Public Attributes | List of all members
GPop::Server::Config Struct Reference

A structure containing GPop::Server configuration parameters. More...

`#include <gpopserver.h>`

Collaboration diagram for GPop::Server::Config:
[legend]

## Public Member Functions
Config & | set_allow_remote (bool=true) noexcept
Config & | set_port (unsigned int) noexcept
Config & | set_addresses (const G::StringArray &)
Config & | set_net_server_peer_config (const GNet::ServerPeer::Config &)
Config & | set_net_server_config (const GNet::Server::Config &)
Config & | set_protocol_config (const ServerProtocol::Config &)
Config & | set_sasl_server_config (const std::string &)

## Public Attributes
bool | allow_remote {false}
unsigned int | port {110}
G::StringArray | addresses
GNet::ServerPeer::Config | net_server_peer_config
GNet::Server::Config | net_server_config
ServerProtocol::Config | protocol_config
std::string | sasl_server_config

## Detailed Description

A structure containing GPop::Server configuration parameters.

Definition at line 89 of file gpopserver.h.

## Member Function Documentation

## ◆ set_addresses()

GPop::Server::Config & GPop::Server::Config::set_addresses | ( | const G::StringArray & | a | ) |
| inline

Definition at line 137 of file gpopserver.h.

## ◆ set_allow_remote()

GPop::Server::Config & GPop::Server::Config::set_allow_remote | ( | bool | b = `true` | ) |
| inline noexcept

Definition at line 135 of file gpopserver.h.

## ◆ set_net_server_config()

GPop::Server::Config & GPop::Server::Config::set_net_server_config | ( | const GNet::Server::Config & | c | ) |
| inline

Definition at line 139 of file gpopserver.h.

## ◆ set_net_server_peer_config()

GPop::Server::Config & GPop::Server::Config::set_net_server_peer_config | ( | const GNet::ServerPeer::Config & | c | ) |
| inline

Definition at line 138 of file gpopserver.h.

## ◆ set_port()

GPop::Server::Config & GPop::Server::Config::set_port | ( | unsigned int | p | ) |
| inline noexcept

Definition at line 136 of file gpopserver.h.

## ◆ set_protocol_config()

GPop::Server::Config & GPop::Server::Config::set_protocol_config | ( | const ServerProtocol::Config & | c | ) |
| inline

Definition at line 140 of file gpopserver.h.

## ◆ set_sasl_server_config()

GPop::Server::Config & GPop::Server::Config::set_sasl_server_config | ( | const std::string & | s | ) |
| inline

Definition at line 141 of file gpopserver.h.

## Member Data Documentation

## ◆ addresses

G::StringArray GPop::Server::Config::addresses

Definition at line 93 of file gpopserver.h.

## ◆ allow_remote

bool GPop::Server::Config::allow_remote {false}

Definition at line 91 of file gpopserver.h.

## ◆ net_server_config

GNet::Server::Config GPop::Server::Config::net_server_config

Definition at line 95 of file gpopserver.h.

## ◆ net_server_peer_config

GNet::ServerPeer::Config GPop::Server::Config::net_server_peer_config

Definition at line 94 of file gpopserver.h.

## ◆ port

unsigned int GPop::Server::Config::port {110}

Definition at line 92 of file gpopserver.h.

## ◆ protocol_config

ServerProtocol::Config GPop::Server::Config::protocol_config

Definition at line 96 of file gpopserver.h.

## ◆ sasl_server_config

std::string GPop::Server::Config::sasl_server_config

Definition at line 97 of file gpopserver.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopserver.h